## org.eclipse.emf.cdo.defs.impl
Class CDOSessionDefImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.net4j.util.defs.impl.DefImpl
                      org.eclipse.emf.cdo.defs.impl.CDOSessionDefImpl

All Implemented Interfaces:
  CDOSessionDef, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.net4j.util.defs.Def

    public class CDOSessionDefImpl

extends org.eclipse.net4j.util.defs.impl.DefImpl
implements CDOSessionDef

An implementation of the model object ' CDO Session Def'.

The following features are implemented:

- `Connector Def`
- `Repository Name`
- `Cdo Package Registry Def`
- `Legacy Support Enabled`
- `Fail Over Strategy Def`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.net4j.defs.ConnectorDef` `connectorDef` The cached value of the '`Connector Def`' reference.
`protected boolean` `connectorDefESet` This is true if the Connector Def reference has been set.
`protected CDOPackageRegistryDef` `ePackageRegistryDef` The cached value of the '`Cdo Package Registry Def`' reference.
`protected FailOverStrategyDef` `failOverStrategyDef` The cached value of the '`Fail Over Strategy Def`' reference.
`protected boolean` `failOverStrategyDefESet` This is true if the Fail Over Strategy Def reference has been set.
`protected static boolean` `LEGACY_SUPPORT_ENABLED_EDEFAULT` The default value of the '`Legacy Support Enabled`' attribute.
`protected boolean` `legacySupportEnabled` The cached value of the '`Legacy Support Enabled`' attribute.
`protected static java.lang.String` `REPOSITORY_NAME_EDEFAULT` The default value of the '`Repository Name`' attribute.
`protected java.lang.String` `repositoryName` The cached value of the '`Repository Name`' attribute.

Fields inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`instanceListener, touchedAdapter`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CDOSessionDefImpl()`

Method Summary
`CDOPackageRegistryDef` `basicGetCdoPackageRegistryDef()`
`org.eclipse.net4j.defs.ConnectorDef` `basicGetConnectorDef()`
`FailOverStrategyDef` `basicGetFailOverStrategyDef()`
`protected CDOSession` `createInstance()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`CDOPackageRegistryDef` `getCdoPackageRegistryDef()`
`org.eclipse.net4j.defs.ConnectorDef` `getConnectorDef()`
`FailOverStrategyDef` `getFailOverStrategyDef()`
`java.lang.String` `getRepositoryName()`
`boolean` `isLegacySupportEnabled()`
`boolean` `isSetConnectorDef()`
`boolean` `isSetFailOverStrategyDef()`
`void` `setCdoPackageRegistryDef(CDOPackageRegistryDef newCdoPackageRegistryDef)`
`void` `setConnectorDef(org.eclipse.net4j.defs.ConnectorDef newConnectorDef)` Sets the `ConnectorDef` for this `CDOSessionDef`.
`void` `setConnectorDefGen(org.eclipse.net4j.defs.ConnectorDef newConnectorDef)`
`void` `setFailOverStrategyDef(FailOverStrategyDef newFailOverStrategyDef)` Sets the `FailOverStrategyDef` for this `CDOSessionDef`.
`void` `setFailOverStrategyDefGen(FailOverStrategyDef newFailOverStrategyDef)`
`void` `setLegacySupportEnabled(boolean newLegacySupportEnabled)`
`void` `setRepositoryName(java.lang.String newRepositoryName)`
`java.lang.String` `toString()`
`void` `unsetConnectorDef()`
`void` `unsetFailOverStrategyDef()`
`protected void` `validateDefinition()`

Methods inherited from class org.eclipse.net4j.util.defs.impl.DefImpl
`activateInstance, areReferencedDefsTouched, deactivateInstance, getInstance, getInternalInstance, handleDeactivation, isSetInstance, isTouched, unsetInstance, unwireInstance, wireInstance`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### connectorDef

    protected org.eclipse.net4j.defs.ConnectorDef connectorDef

  The cached value of the '`Connector Def`' reference.

  See Also:
    `getConnectorDef()`

### connectorDefESet

    protected boolean connectorDefESet

  This is true if the Connector Def reference has been set.

### REPOSITORY_NAME_EDEFAULT

    protected static final java.lang.String REPOSITORY_NAME_EDEFAULT

  The default value of the '`Repository Name`' attribute.

  See Also:
    `getRepositoryName()`

### repositoryName

    protected java.lang.String repositoryName

  The cached value of the '`Repository Name`' attribute.

  See Also:
    `getRepositoryName()`

### ePackageRegistryDef

    protected CDOPackageRegistryDef ePackageRegistryDef

  The cached value of the '`Cdo Package Registry Def`' reference.

  See Also:
    `getCdoPackageRegistryDef()`

### LEGACY_SUPPORT_ENABLED_EDEFAULT

    protected static final boolean LEGACY_SUPPORT_ENABLED_EDEFAULT

  The default value of the '`Legacy Support Enabled`' attribute.

  See Also:
    `isLegacySupportEnabled()`, Constant Field Values

### legacySupportEnabled

    protected boolean legacySupportEnabled

  The cached value of the '`Legacy Support Enabled`' attribute.

  See Also:
    `isLegacySupportEnabled()`

### failOverStrategyDef

    protected FailOverStrategyDef failOverStrategyDef

  The cached value of the '`Fail Over Strategy Def`' reference.

  See Also:
    `getFailOverStrategyDef()`

### failOverStrategyDefESet

    protected boolean failOverStrategyDefESet

  This is true if the Fail Over Strategy Def reference has been set.

Constructor Detail

### CDOSessionDefImpl

    protected CDOSessionDefImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### getConnectorDef

    public org.eclipse.net4j.defs.ConnectorDef getConnectorDef()

  Specified by:
    `getConnectorDef` in interface `CDOSessionDef`
  Returns:
    the value of the 'Connector Def' reference.
  See Also:
    `CDOSessionDef.isSetConnectorDef()`, `CDOSessionDef.unsetConnectorDef()`, `CDOSessionDef.setConnectorDef(ConnectorDef)`, `CDODefsPackage.getCDOSessionDef_ConnectorDef()`

### basicGetConnectorDef

    public org.eclipse.net4j.defs.ConnectorDef basicGetConnectorDef()

### setConnectorDef

    public void setConnectorDef(org.eclipse.net4j.defs.ConnectorDef newConnectorDef)

  Sets the `ConnectorDef` for this `CDOSessionDef`. If a `FailOverStrategyDef` was already set, an IllegalStateException is thrown. ConnectorDef and FailOverStrategyDef are mutually exclusive.

  Specified by:
    `setConnectorDef` in interface `CDOSessionDef`
  Parameters:
    `newConnectorDef` - the new value of the 'Connector Def' reference.
  Throws:
    `java.lang.IllegalStateException` - if a `FailOverStrategyDef` was set before
  See Also:
    ``

### setConnectorDefGen

    public void setConnectorDefGen(org.eclipse.net4j.defs.ConnectorDef newConnectorDef)

### unsetConnectorDef

    public void unsetConnectorDef()

  Specified by:
    `unsetConnectorDef` in interface `CDOSessionDef`
  See Also:
    `CDOSessionDef.isSetConnectorDef()`, `CDOSessionDef.getConnectorDef()`, `CDOSessionDef.setConnectorDef(ConnectorDef)`

### isSetConnectorDef

    public boolean isSetConnectorDef()

  Specified by:
    `isSetConnectorDef` in interface `CDOSessionDef`
  Returns:
    whether the value of the 'Connector Def' reference is set.
  See Also:
    `CDOSessionDef.unsetConnectorDef()`, `CDOSessionDef.getConnectorDef()`, `CDOSessionDef.setConnectorDef(ConnectorDef)`

### getRepositoryName

    public java.lang.String getRepositoryName()

  Specified by:
    `getRepositoryName` in interface `CDOSessionDef`
  Returns:
    the value of the 'Repository Name' attribute.
  See Also:
    `CDOSessionDef.setRepositoryName(String)`, `CDODefsPackage.getCDOSessionDef_RepositoryName()`

### setRepositoryName

    public void setRepositoryName(java.lang.String newRepositoryName)

  Specified by:
    `setRepositoryName` in interface `CDOSessionDef`
  Parameters:
    `newRepositoryName` - the new value of the 'Repository Name' attribute.
  See Also:
    `CDOSessionDef.getRepositoryName()`

### getCdoPackageRegistryDef

    public CDOPackageRegistryDef getCdoPackageRegistryDef()

  Specified by:
    `getCdoPackageRegistryDef` in interface `CDOSessionDef`
  Returns:
    the value of the 'Cdo Package Registry Def' reference.
  See Also:
    `CDOSessionDef.setCdoPackageRegistryDef(CDOPackageRegistryDef)`, `CDODefsPackage.getCDOSessionDef_CdoPackageRegistryDef()`

### basicGetCdoPackageRegistryDef

    public CDOPackageRegistryDef basicGetCdoPackageRegistryDef()

### setCdoPackageRegistryDef

    public void setCdoPackageRegistryDef(CDOPackageRegistryDef newCdoPackageRegistryDef)

  Specified by:
    `setCdoPackageRegistryDef` in interface `CDOSessionDef`
  Parameters:
    `newCdoPackageRegistryDef` - the new value of the 'Cdo Package Registry Def' reference.
  See Also:
    `CDOSessionDef.getCdoPackageRegistryDef()`

### isLegacySupportEnabled

    public boolean isLegacySupportEnabled()

  Specified by:
    `isLegacySupportEnabled` in interface `CDOSessionDef`
  Returns:
    the value of the 'Legacy Support Enabled' attribute.
  See Also:
    `CDOSessionDef.setLegacySupportEnabled(boolean)`, `CDODefsPackage.getCDOSessionDef_LegacySupportEnabled()`

### setLegacySupportEnabled

    public void setLegacySupportEnabled(boolean newLegacySupportEnabled)

  Specified by:
    `setLegacySupportEnabled` in interface `CDOSessionDef`
  Parameters:
    `newLegacySupportEnabled` - the new value of the 'Legacy Support Enabled' attribute.
  See Also:
    `CDOSessionDef.isLegacySupportEnabled()`

### getFailOverStrategyDef

    public FailOverStrategyDef getFailOverStrategyDef()

  Specified by:
    `getFailOverStrategyDef` in interface `CDOSessionDef`
  Returns:
    the value of the 'Fail Over Strategy Def' reference.
  See Also:
    `CDOSessionDef.isSetFailOverStrategyDef()`, `CDOSessionDef.unsetFailOverStrategyDef()`, `CDOSessionDef.setFailOverStrategyDef(FailOverStrategyDef)`, `CDODefsPackage.getCDOSessionDef_FailOverStrategyDef()`

### basicGetFailOverStrategyDef

    public FailOverStrategyDef basicGetFailOverStrategyDef()

### setFailOverStrategyDef

    public void setFailOverStrategyDef(FailOverStrategyDef newFailOverStrategyDef)

  Sets the `FailOverStrategyDef` for this `CDOSessionDef`. If a ConnectorDef was already set, an IllegalStateException is thrown. ConnectorDef and FailOverStrategyDef are mutually exclusive.

  Specified by:
    `setFailOverStrategyDef` in interface `CDOSessionDef`
  Parameters:
    `newFailOverStrategyDef` - the new value of the 'Fail Over Strategy Def' reference.
  Throws:
    `java.lang.IllegalStateException` - if a `FailOverStrategyDef` was set before
  See Also:
    ``

### setFailOverStrategyDefGen

    public void setFailOverStrategyDefGen(FailOverStrategyDef newFailOverStrategyDef)

### unsetFailOverStrategyDef

    public void unsetFailOverStrategyDef()

  Specified by:
    `unsetFailOverStrategyDef` in interface `CDOSessionDef`
  See Also:
    `CDOSessionDef.isSetFailOverStrategyDef()`, `CDOSessionDef.getFailOverStrategyDef()`, `CDOSessionDef.setFailOverStrategyDef(FailOverStrategyDef)`

### isSetFailOverStrategyDef

    public boolean isSetFailOverStrategyDef()

  Specified by:
    `isSetFailOverStrategyDef` in interface `CDOSessionDef`
  Returns:
    whether the value of the 'Fail Over Strategy Def' reference is set.
  See Also:
    `CDOSessionDef.unsetFailOverStrategyDef()`, `CDOSessionDef.getFailOverStrategyDef()`, `CDOSessionDef.setFailOverStrategyDef(FailOverStrategyDef)`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### createInstance

    protected CDOSession createInstance()

  Specified by:
    `createInstance` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

### validateDefinition

    protected void validateDefinition()

  Overrides:
    `validateDefinition` in class `org.eclipse.net4j.util.defs.impl.DefImpl`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.